Bug 1201795 (CVE-2015-2153) - CVE-2015-2153 tcpdump: tcp printer rpki_rtr_pdu_print() missing length check
Summary: CVE-2015-2153 tcpdump: tcp printer rpki_rtr_pdu_print() missing length check
Status: CLOSED WONTFIX
Alias: CVE-2015-2153
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150309,repor...
Keywords: Security
Depends On: 1201799
Blocks: 1201800 1415638
TreeView+ depends on / blocked
 
Reported: 2015-03-13 14:14 UTC by Martin Prpič
Modified: 2019-06-08 20:28 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-01 19:23:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1871 normal SHIPPED_LIVE Moderate: tcpdump security, bug fix, and enhancement update 2017-08-01 16:00:24 UTC

Description Martin Prpič 2015-03-13 14:14:56 UTC
A flaw was found in tcpdump's TCP printer. A remote attacker could use this flaw to cause tcpdump to crash, resulting in a denial of service, or possibly execute arbitrary code.

Upstream patch:

http://www.ca.tcpdump.org/cve/0002-test-case-files-for-CVE-2015-2153-2154-2155.patch

Comment 1 Martin Prpič 2015-03-13 14:17:12 UTC
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1201799]

Comment 2 Stefan Cornelius 2015-03-18 17:58:47 UTC
The problem here is a simple missing length check in the rpki_rtr_pdu_print() function in print-rpki-rtr.c when processing RPKI-RTR PDUs (Protocol Data Units) with an incorrect header length.

Without this check, the function will try to operate on invalid data when processing certain packets, leading to all kinds of unwanted side effects, including crashes due to invalid reads, writes and general memory corruption. 

Due to the memory corruption aspect I'm simply assuming that code execution may be a possibility (I've not performed an in-depth enough analysis to see if this assumption is really correct).

Comment 4 Fedora Update System 2015-03-30 07:00:57 UTC
tcpdump-4.7.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-03-31 21:44:21 UTC
tcpdump-4.7.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-18 09:48:09 UTC
tcpdump-4.5.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2017-08-01 12:14:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1871 https://access.redhat.com/errata/RHSA-2017:1871


Note You need to log in before you can comment on or make changes to this bug.